VERSION 5.00
Begin VB.Form frmMain 
   BackColor       =   &H00000000&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "DirectX Helper Example"
   ClientHeight    =   2175
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4635
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   145
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   309
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer FrameTimer 
      Enabled         =   0   'False
      Interval        =   200
      Left            =   360
      Top             =   1080
   End
   Begin VB.Timer StartTimer 
      Enabled         =   0   'False
      Interval        =   10
      Left            =   480
      Top             =   1680
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "Loading..."
      BeginProperty Font 
         Name            =   "Arial Black"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Top             =   1200
      Width           =   1455
   End
   Begin VB.Label Title 
      BackStyle       =   0  'Transparent
      Caption         =   "DirectX Helper Sample"
      BeginProperty Font 
         Name            =   "Arial Black"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   720
      Width           =   3375
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'This project was created using version 3 of the TLB's
'If you have version 5 and not 3, go to Project|References
'and select DirectX 5 TLB

Private Declare Function CreateFont Lib "gdi32" Alias "CreateFontA" (ByVal h As Long, ByVal w As Long, ByVal E As Long, ByVal O As Long, ByVal w As Long, ByVal I As Long, ByVal u As Long, ByVal S As Long, ByVal C As Long, ByVal OP As Long, ByVal CP As Long, ByVal Q As Long, ByVal PAF As Long, ByVal F As String) As Long
Private Declare Function DeleteObject Lib "gdi32" (ByVal hObject As Long) As Long

Const gmFinished = 0
Const gmActive = 1

Dim gmState As Long

Dim Frame As Long
Dim BackGround As DirectDrawSurface2
Dim dsHello As DirectSoundBuffer
Dim theFont As Long

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
      
      'a key was pressed so the game msut stop
   gmState = gmFinished

End Sub

Private Sub Form_Load()
  
  HideMouse
        'display the window show something is seen while DirectX loads
  Show
        'init the screen...
  ddInit Me, m640x480, FullScreen, c256
  
        'init the sound card
  dsInit Me
        
        'OK, the "game" is now active
  gmState = gmActive
  StartTimer.Enabled = True

End Sub

Private Sub Form_Unload(Cancel As Integer)
       'release the background image
  Set BackGround = Nothing
       
       'delete the font handle we created
  DeleteObject theFont
        
       'ensure sound has stopped to prevent crash
  dsStop dsHello
       'release the sound object
  Set dsHello = Nothing
 
       'destroy the DirectX interfaces
  dsUnload
  ddUnload
End Sub


Private Sub FrameTimer_Timer()
    'disable timer in case ticks while busy
 FrameTimer.Enabled = False
 
    'refresh the background
 ddBltFastNoColorKey 0, 0, BackGround

    'write text in every odd frame for flashing effect
 If Frame And 1 Then
  ddGDIWriteFont BackBuffer, 200, 230, "Press any key...", theFont
 End If
    
    'greet user after first 4/10sec to allow graphics to finish starting up
 If Frame = 4 Then dsPlay dsHello
    
    'display the back buffer
 ddFlip
 Frame = Frame + 1
 
    'OK, start timing again
 FrameTimer.Enabled = True
End Sub

Private Sub StartTimer_Timer()
 Dim Pal As DirectDrawPalette
 
        'don't want to start again!
 StartTimer.Enabled = False
 
 Set Pal = ddUsePalette(App.Path + "\DigitalZone.BMP")
 PrimarySurface.SetPalette Pal
 Set Pal = Nothing
 
        'load the background image
 Set BackGround = ddLoadBitmap(App.Path + "\DigitalZone.BMP")

        'create a font
 theFont = CreateFont(-19, 14, 0, 0, 700, 0, 0, 0, 0, 3, 2, 1, 66, "Comic Sans MS")
 
        ' load the greeting
 Set dsHello = dsLoadWave(App.Path + "\Hello.WAV")
 
        'OK! Start the action going!
 Frame = 0
 FrameTimer.Enabled = True
 
        'start an event loop
 While gmState <> gmFinished
  DoEvents
 Wend
 
        'shut down directX
 Unload Me
End Sub
